Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.authoring.directive
Class OpenDocument

    java.lang.Object
      com.ibm.workplace.wcm.api.extensions.authoring.directive.AuthoringDirective
          com.ibm.workplace.wcm.api.extensions.authoring.directive.OpenDocument

    public class OpenDocument

extends AuthoringDirective

This directive will open the specified target document in the authoring UI on completion of the action. If the current user does not have access to open the item or insufficient access to edit the item then an error will be shown in the user interface.

Since:
  v8.0

Constructor Summary
`OpenDocument(java.util.List<DocumentId> targetIds, boolean openInReadMode)` Construct a new OpenDocument directive.

Method Summary
`java.util.List<DocumentId>` | `getTargetIds()` Retrieve the `DocumentId` of the Document to be opened by this directive
`boolean` | `openInReadMode()`

Methods inherited from class com.ibm.workplace.wcm.api.extensions.authoring.directive.AuthoringDirective
`getDirectiveType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenDocument

    public OpenDocument(java.util.List<DocumentId> targetIds,
                        boolean openInReadMode)

  Construct a new OpenDocument directive. When used in an ActionResult on completion of an AuthoringAction this directive will trigger the Authoring interface to open the target Document in the requested mode.

  Parameters:
    `targetIds` - the `DocumentId` of the Documents to open
    `openInReadMode` - the mode that the forms will be opened in

Method Detail

### getTargetIds

    public java.util.List<DocumentId> getTargetIds()

  Retrieve the `DocumentId` of the Document to be opened by this directive

  Returns:
    target DocumentId

### openInReadMode

    public boolean openInReadMode()

  Returns:
    `true` if the Document should be opened in read mode.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD